package cn.kdan.cloud.pdf.office.account.controller;


import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfo;
import cn.kdan.cloud.pdf.office.account.service.UserSubscriptionInfoService;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("userSubscriptionInfo")
public class UserSubscriptionInfoController {

    @Autowired
    private UserSubscriptionInfoService userSubscriptionInfoService;

    /**
     * 登录关联产品
     * @param userSubscriptionInfo  userSubscriptionInfo
     * @return Boolean
     */
    @PostMapping("/insert")
    public ResultMap<Boolean> insert(@RequestBody  UserSubscriptionInfo userSubscriptionInfo) {
        userSubscriptionInfoService.insert(userSubscriptionInfo);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,Boolean.TRUE);
    }
    /**
     * 根据用户id和平台获取他的产品使用信息
     * @param userId 用户id
     * @param platform 平台
     * @return UserSubscriptionInfo
     */
    @GetMapping("/getByUserIdAndPlatform")
    public ResultMap<UserSubscriptionInfo> getByUserIdAndPlatform(@RequestParam String userId,@RequestParam Integer platform) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,userSubscriptionInfoService.getByUserIdAndPlatform(userId,platform));
    }

    @PostMapping("/update")
    public ResultMap<Boolean> update(@RequestBody UserSubscriptionInfo userSubscriptionInfo) {
        userSubscriptionInfoService.update(userSubscriptionInfo);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,Boolean.TRUE);
    }

    /**
     * 根据用户id和平台获取他的产品使用信息
     * @param userId 用户id
     * @param productId productId
     * @return UserSubscriptionInfo
     */
    @GetMapping("/getByUserIdAndProductId")
    public ResultMap<UserSubscriptionInfo> getByUserIdAndProductId(@RequestParam String userId,@RequestParam String productId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,userSubscriptionInfoService.getByUserIdAndProductId(userId,productId));
    }

}
