package cn.kdan.cloud.pdf.office.api.account.feign.hystrix;



import cn.kdan.cloud.pdf.office.api.account.feign.UserSubscriptionInfoApi;

import cn.kdan.cloud.pdf.office.api.account.vo.UserSubscriptionInfo;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;

@Service
public class UserSubscriptionInfoHystrix implements UserSubscriptionInfoApi {

    @Override
    public ResultMap<Boolean> insert(UserSubscriptionInfo userSubscriptionInfo) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> update(UserSubscriptionInfo userSubscriptionInfo) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<UserSubscriptionInfo> getByUserIdAndPlatform(String userId, Integer platform) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<UserSubscriptionInfo> getByUserIdAndProductId(String userId, String productId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
