package cn.kdan.cloud.pdf.office.common.enums;

/**
 * @author tangxiangan
 */

public enum ExceptionEnum {
    /**
     * 图形验证码错误
     */
    EXCEPTION_MSG_IMAGE_CODE_ERROR(301,"图形验证码错误"),
    /**
     *email not register
     */
    EXCEPTION_MSG_USER_NOT_FOUND(302,"email not register"),
    /**
     * 无效的token或者token已过期
     */
    EXCEPTION_MSG_TOKEN_IS_INVALID(304,"无效的token或者token已过期"),
    /**
     * 您的登录设备已达上限，请退出其他设备重新登录
     */
    EXCEPTION_MSG_DEVICE_NUM_MAX(305,"您的登录设备已达上限，请退出其他设备重新登录"),
    /**
     *
     */
    EXCEPTION_MSG_USER_NOT_LOGIN(306,"用户没有登录，请登录后再访问"),
    EXCEPTION_MSG_GET_CODE_FAIL(307,"获取授权码失败"),
    EXCEPTION_MSG_GET_TOKEN_FAIL(308,"获取token失败"),
    EMAIL_VERIFY_CODE_KEY_ERROR(309,"email code error!"),
    EMAIL_REGISTER_ERROR(310,"Register error!"),
    EXCEPTION_MSG_PASSWORD_ERROR(311,"密码错误，您可以检查大小写状态"),
    EXCEPTION_MSG_CODE_ACTION_ERROR(312,"code action error"),
    EXCEPTION_MSG_CODE_SEND_ERROR(313,"code send error"),
    EXCEPTION_MAIL_CODE_SEND_ERROR(314,"mail send error"),
    VERIFY_CODE_SEND_TOO_QUICKLY(315,"code send too quickly"),
    EXCEPTION_MSG_EMAIL_EXIST(316,"该邮箱已有账号，请前往登录"),
    EXCEPTION_MSG_EMAIL_NOT_REGISTER(317,"当前账号未注册，点击下一步我们将为您注册账号"),
    EXCEPTION_MSG_EMAIL_LOGOUT_ING(318,"注销中，无法登录，若有问题可联系客服"),
    EXCEPTION_MSG_EMAIL_INVALID(319,"请输入正确的邮箱格式"),
    EXCEPTION_MSG_PASSWORD_NOT_INCONSISTENT(320,"密码不一致，请重新输入"),
    EXCEPTION_MSG_PASSWORD_SIZE_MIN(321,"密码请包含6～24个字符"),
    EXCEPTION_MSG_PASSWORD_SIZE_MAX(322,"密码请包含6～24个字符"),
    EXCEPTION_MSG_PLEASE_ADD_AUTH_CONFIG (323,"please add auth config"),
    EXCEPTION_MSG_USER_SUBSCRIPTION_IN_PROGRESS (324,"您目前还在订阅期内，暂时无法注销，请订阅期结束后再点击注销账号"),
    EXCEPTION_MSG_USER_TRAIL_IN_PROGRESS (325,"您目前还在试用期内，暂时无法注销，请订阅期结束后再点击注销账号"),
    EXCEPTION_TIME_TRANSFER_ERROR (326,"时间转换失败"),
    EXCEPTION_MSG_PASSWORD_CONTAIN_EMPTY(327,"密码不能包含空格"),

    EXCEPTION_MSG_CREATE_ORDER_PARAMETER(328,"支付方式异常"),

    EXCEPTION_MSG_EVENT_IS_CURRENTLY_NOT_SUPPORTED(329, "当前事件暂不支持"),

    EXCEPTION_MSG_THE_ACCOUNT_IS_ALREADY_LOGGED_IN_ON_OTHER_DEVICES(330, "账号已在其他设备登录"),

    EXCEPTION_MSG_ABNORMAL_USER_STATUS(331,"当前邮箱已被停用或者处于注销中状态"),

    EXCEPTION_MSG_APP_STORE_TICKET_VALIDATION_FAILED(332, "AppStore票据验证失败"),

    EXCEPTION_MSG_APP_STORE_TICKET_VALIDATION_NEED_TO_RETRY(333, "AppStore票据验证需要重试"),

    EXCEPTION_MSG_REPEAT_SUBSCRIPTION(334,"用户已订阅该产品"),
    EXCEPTION_MSG_RESTORING_PURCHASES_IS_NOT_CURRENTLY_SUPPORTED(335, "恢复购买暂不支持"),
    EXCEPTION_MSG_USER_TRANSACTION_CANCELED_OR_FAILED(336, "用户交易取消或失败"),

    EXCEPTION_MSG_CURRENT_ORDER_NOT_RECORDED(337, "当前订单未记录，请稍后重试"),
    EXCEPTION_MSG_THE_SAME_USER(338, "同一用户,无需处理"),
    EXCEPTION_MSG_THIRD_PAY_ID_ILLEGAL(339, "thirdPayId非法"),
    EXCEPTION_MSG_ORDER_DOES_NOT_EXIST(340, "订单不存在"),
    EXCEPTION_MSG_THE_ORDER_STATUS_IS_ABNORMAL(341, "订单状态异常"),

    EXCEPTION_MSG_TRANSACTION_ID_REPEAT(342, "transactionId重复"),
    EXCEPTION_TICKET_HAS_BEEN_BLOCKED(343, "The ticket has been blocked"),
    EXCEPTION_TICKET_HAS_BEEN_CREATED(344, "当前票据已创建订单"),
    ;
    private final Integer value;
    private final String msg;



    public String msg() {
        return msg;
    }

    ExceptionEnum(Integer value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public static EmailCodeTypeEnum getEnumByValue(String value) {
        for (EmailCodeTypeEnum modeEnum : EmailCodeTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public Integer value() {
        return value;
    }


}
